WineHQ

Autodesk Fusion 360

Application Details:

Version: latest
License: Subscription
URL: http://www.autodesk.com/produc...
Votes: 2
Latest Rating: Silver
Latest Wine Version Tested: 6.8

Maintainers: About Maintainership

Free Download Web Installer for the latest version

Test Results

Old test results
The test results you have selected are very old and may not represent the current state of Wine.
Selected Test Results

What works

Everything but not great at speed

What does not

Workarounds

What was not tested

Rendering

Hardware tested

Graphics:

  • GPU: Intel
  • Driver: open source

Additional Comments

Create a x64 wine prefix

Install vcrun2017 corefonts wininet winhttp atmlib gdiplus iertutil msxml3 msxml6 urlmon win7 dxvk

Go to winecfg to disable dxkv under libraries tab, then add d3d9 and d3dx9_43 as native

Install Fusion 360 https://dl.appstreaming.autode... (no need for changing anything on the installer as it was on early versions)

After installation Fusion 360 will start by itself, check under Preferences select directx9 as graphics driver

Restart Fusion 360

Enjoy


 


selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
ShowFlatpak - Version 1.10.2May 15 20216.8Yes Yes YesSilverSteve Zabka (Cryinkfly) 
ShowopenSUSE Leap 15.3May 09 20216.8Yes Yes YesSilverSteve Zabka (Cryinkfly) 
ShowopenSUSE Leap 15.3Apr 28 20216.7Yes Yes YesSilverSteve Zabka (Cryinkfly) 
ShowopenSUSE Leap 15.3Apr 25 20216.6-stagingYes Yes YesSilverSteve Zabka (Cryinkfly) 
ShowFedora 34 Workstation Beta x86_64Apr 25 20216.6-stagingYes Yes YesSilverSteve Zabka (Cryinkfly) 

Known Bugs

Bug # Description Status Resolution Other apps affected
44728 Bad windows version detection with python module "platform" UNCONFIRMED View
45277 Multiple applications need Vulkan child window rendering (DxO PhotoLab, Affinity Photo, Google Earth Pro, Autodesk Fusion 360) NEW View

Show all bugs

HowTo / Notes

Minimum requirement*

On my GitHub-Channel you can find about the installation of Autodesk Fusion 360 on Linux: https://github.com/cryinkfly/Fusion-360---Linux-Wine-Version-

HOWTO

The standard way:


  1. Visit my GitHub-Channel "Cryinkfly" and go to my project: Fusion-360 - Linux (Wine Version)
  2. Download my scripts: Installation-Script & Start-Script
  3. Install Autodesk Fusion 360 with my scripts


The experimental way (Flatpak):

  1. Visit my GitHub-Channel "Cryinkfly" and go to my project: Fusion-360 - Linux (Wine Version)
  2. Go to this section: Installation with Flatpak ...
HOWTO

Pre-requisites :

Wine 3.8 arch x64 (Windows version set in "Windows 7" NOT ANY OTHER)

Microsoft Visual runtimes 2017 (vcrun2017)

Install it with the last winetricks for example.


They have some issues with d3d11, you have two solutions :

* Disable lib d3d11 (go to winecfg > libs > add d3d11 > set "disabled")

In this case, you have little problems in main menu, and "gray" parts in some software area... But fusion runs as he can...


* Install dxvk implementation of d3d11 (need a wine version compiled with vulkan support).

winetricks vulkansdk  

Download the last release of dlls : https://github.com/doitsujin/d...

Extract dlls (for example in : ~/.wine//3rdparty_dlls/dxvk/)

cd ~/.wine//3rdparty_dlls/dxvk/[x32/x64]
WINEPREFIX=~/.wine/ ./setup_dxvk.sh

(if you have multiple wine versions, add PATH with the good wine into)




To avoid "err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution."

do : apt install libpam-winbind



---------------------------------------------- Lib Gnu TLS errors

Symptoms :

* 002b:err:winediag:gnutls_initialize failed to load libgnutls, no support for encryption

* 002b:err:winediag:schan_imp_init Failed to load libgnutls, secure connections will not be available.

* "No network connection"

Solution :

If you use a recent version of libgnutls (eg. libgnutls30 on ubuntu 16.04), create a copy, for a version 26 :

sudo ln -s libgnutls.so.30 /usr/lib/x86_64-linux-gnu/libgnutls.so.26
sudo ln -s libgnutls.so.30 /usr/lib/i386-linux-gnu/libgnutls.so.26


Comments

Back